//
//  YHAdopterNewPeopleViewModel.swift
//  galaxy
//
//  Created by EDY on 2024/8/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHAdopterNewPeopleViewModel: YHBaseViewModel {
    var mainModel: YHMainInformationModel = YHMainInformationModel()
    
    override init() {
        super.init()
    }
    
    func getBaseDataSource(_ isShowPrompt: Bool) -> [YHSectionItemModel] {
        let item = YHItemModel(id: .id1, isNeed: true, title: "姓名", isUserKeyBoard: true, prompts: "请输入", message: "", isShowPrompts: isShowPrompt, alertMessage:"请选择国家/地区")
        let item1 = YHItemModel(id: .id1, isNeed: true, title: "国家/地区", isUserKeyBoard: false, prompts: "请选择", message: "", type: .selectAddress, isShowPrompts: isShowPrompt, alertMessage:"请选择国家/地区")
        let section = YHSectionItemModel(title: "配偶信息", models: [item, item1])
        return [section]
    }
    
    func getIdCardInformation() -> [YHAdopterCardModel] {
        let item = YHAdopterCardModel(type: .travel, title: "旅行证件（港澳通行证/护照）", state: 0)
        let item1 = YHAdopterCardModel(type: .china, title: "身份证-正反面", state: 0)
        let item2 = YHAdopterCardModel(type: .resident, title: "户口信息页", state: 0)
        let item3 = YHAdopterCardModel(type: .birth, title: "中国居留许可签证", state: 0)
        let item4 = YHAdopterCardModel(type: .id, title: "2寸白底证件照片", state: 0)
        let item5 = YHAdopterCardModel(type: .other, title: "其他相关证件", state: 0)
        let item6 = YHAdopterCardModel(type: .marry, title: "结婚证", state: 0)
        let item7 = YHAdopterCardModel(type: .chinaTravel, title: "中国旅行证", state: 0)
        let item8 = YHAdopterCardModel(type: .chinaLife, title: "中国居留许可证", state: 0)
        return [item, item1, item2, item3, item4, item5, item6, item7, item8]
    }
    
}
